Package org.eclipse.ecf.remoteservice.client

## Class RemoteCallParameterFactory

- java.lang.Object
- - org.eclipse.ecf.remoteservice.client.RemoteCallParameterFactory

    public class RemoteCallParameterFactory
    extends Object

Factory for creating `IRemoteCallParameter` instances.

Since:
  4.0

### Constructor Summary

Constructors
`RemoteCallParameterFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IRemoteCallParameter[]` `createParameters​(String[] names, Object[] values)`
`static IRemoteCallParameter[]` `createParameters​(String name, Object value)`
`static IRemoteCallParameter[]` `createParameters​(String name1, Object value1, String name2, Object value2)`
`static IRemoteCallParameter[]` `createParameters​(String name1, Object value1, String name2, Object value2, String name3, Object value3)`
`static IRemoteCallParameter[]` `createParameters​(Map nameValues)` The order given reflects in the order during call time, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteCallParameterFactory

    public RemoteCallParameterFactory()

### Method Detail

#### createParameters

    public static IRemoteCallParameter[] createParameters​(String[] names,
                                                          Object[] values)

#### createParameters

    public static IRemoteCallParameter[] createParameters​(String name,
                                                          Object value)

#### createParameters

    public static IRemoteCallParameter[] createParameters​(String name1,
                                                          Object value1,
                                                          String name2,
                                                          Object value2)

#### createParameters

    public static IRemoteCallParameter[] createParameters​(String name1,
                                                          Object value1,
                                                          String name2,
                                                          Object value2,
                                                          String name3,
                                                          Object value3)

#### createParameters

    public static IRemoteCallParameter[] createParameters​(Map nameValues)

The order given reflects in the order during call time, e.g. - model object A will be serialized to the first element, B to the second, ... Make sure to use a LinkedHashMap that preserves insertion order!!!

Parameters:
  `nameValues` - name values map for remote call parameters
Returns:
  Map of params converted into a IRemoteCallParameter array